Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator.uep
Class FloatingForwardFeatureSelectionGivenNoOfAttributes

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator
                  edu.udo.cs.miningmart.operator.FeatureSelection
                      edu.udo.cs.miningmart.operator.uep.UepFeatureSelection
                          edu.udo.cs.miningmart.operator.uep.FloatingForwardFeatureSelectionGivenNoOfAttributes

    public class FloatingForwardFeatureSelectionGivenNoOfAttributes

extends UepFeatureSelection

M4 Compiler

Copyright: Copyright (c) 2002

Company: University Dortmund

Version:
  $Id: FloatingForwardFeatureSelectionGivenNoOfAttributes.java,v 1.6 2006/09/27 15:00:04 euler Exp $
Author:
  Felix Koschin

Nested Class Summary

Nested classes/interfaces inherited from class edu.udo.cs.miningmart.operator.uep.UepFeatureSelection
`UepFeatureSelection.myData, UepFeatureSelection.myTable`

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.uep.UepFeatureSelection
`theClassAttribute`

Fields inherited from class edu.udo.cs.miningmart.operator.FeatureSelection
`mySelectedFeatures`

Fields inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`suffixForIntermediateViews`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`FloatingForwardFeatureSelectionGivenNoOfAttributes()`

Method Summary
`java.util.Collection` | `computeListOfAttributes(Feature[] theSuperset)` Abstract method to be implemented by all subclasses.

Methods inherited from class edu.udo.cs.miningmart.operator.uep.UepFeatureSelection
`getMutualInforation, getNoOfAttributes, getTheClassAttribute, selectTheBestAttr, selectTheWorstAttr`

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureSelection
`generateSQLDefinition, getTheAttributes, getTypeOfNewColumnSet, mustCopyFeature, occursIn, occursIn`

Methods inherited from class edu.udo.cs.miningmart.operator.SingleCSOperator
`generateColumnSetsForOp, generateSQLDefinition, getNewCSName, getTypeOfNewColumnSet, handleExtraOutputFeature`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, generateColumns, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatingForwardFeatureSelectionGivenNoOfAttributes

    public FloatingForwardFeatureSelectionGivenNoOfAttributes()

Method Detail

### computeListOfAttributes

    public java.util.Collection computeListOfAttributes(Feature[] theSuperset)
                                                 throws M4CompilerError

  Description copied from class: `FeatureSelection`
  Abstract method to be implemented by all subclasses.

  Specified by:
    `computeListOfAttributes` in class `FeatureSelection`
  Parameters:
    `theSuperset` - An array of Feature objects to which the selection is to be applied
  Returns:
    the selected Features as a `Collection`
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005